## keepass2-plugin-hibpofflinecheck 1.7.11

=== debian/changelog ===
keepass2-plugin-hibpofflinecheck (1.7.11-3) unstable; urgency=medium

  * Revert Depend on ca-certificates-mono to avoid SSL errors in the online
    check, package is gone, depend on ca-certificates instead.

 -- Tobias Frost <tobi@debian.org>  Tue, 17 Feb 2026 08:59:08 +0100

keepass2-plugin-hibpofflinecheck (1.7.11-2) unstable; urgency=medium

  * Source-only upload.
  * Depend on ca-certificates-mono to avoid SSL errors in the online check.
  * Update S-V to 4.7.3 - remove Priority: optional from d/control.

 -- Tobias Frost <tobi@debian.org>  Mon, 16 Feb 2026 20:33:32 +0100

keepass2-plugin-hibpofflinecheck (1.7.11-1) unstable; urgency=medium

  * Initial release (Closes: #1120327)

 -- Tobias Frost <tobi@debian.org>  Fri, 07 Nov 2025 19:43:05 +0100
