=== debian/watch ===
Version: 5

Template: GitHub
Owner: mihaifm
Project: HIBPOfflineCheck
